Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.compoze.domino
Interface IServerProtocol

All Known Implementing Classes:
  AbstractServerProtocol

public interface IServerProtocol

Classes that implement this interface provide access to Domino via some protocol. One instance of a class that implements this interface is created for every session. Its `openSession` method is the first one that's called, and `closeSession` is called when the session is to be closed.

Method Summary
`void` | `acceptAssignment(java.lang.String sID, java.lang.String sComment, java.lang.String sSubject)` Accepts the assignment.
`void` | `acceptAssignmentCounter(java.lang.String sID, java.util.Date startDate, java.util.Date endDate, java.lang.String sComment, java.lang.String sSubject)` Accepts the counter.
`void` | `acceptCounter(java.lang.String sID, java.util.Date startDate, java.util.Date endDate, java.lang.String sComment, java.lang.String sSubject)` Accepts the counter.
`void` | `acceptInvitation(java.lang.String sID, java.lang.String sComment, boolean bTentative, java.lang.String sSubject)` Accepts the invitation and removes it from the Inbox.
`void` | `acceptInvitation(java.lang.String sID, java.lang.String sComment, boolean bTentative, java.lang.String sSubject, boolean bRemoveFromInbox)` Accepts the invitation.
`void` | `addAttachment(java.lang.String sID, java.lang.String sName, javax.activation.DataHandler handler)` Hits the server to add an attachment to a document.
`void` | `cancelAppointment(java.lang.String sID, java.lang.String sSubject, java.util.Date startInstanceDate, java.util.Date endInstanceDate, java.lang.String sComment)` Hits the server to cancel an appointment.
`void` | `cancelAppointment(java.lang.String sID, java.lang.String sSubject, java.lang.String sComment)` Hits the server to cancel an appointment.
`void` | `changeAppointmentNotify(java.lang.String sSID, java.lang.String sID, java.lang.String sSubject, boolean bScheduleChange)` Sends meeting notification for appointment changes.
`void` | `checkSession()` Checks a session.
`void` | `closeSession()` Closes a session.
`void` | `completedAssignment(java.lang.String sID, java.util.Date completedDate, java.lang.String sComment, java.lang.String sSubject, java.lang.String sAdjustSubject)` Marks the assignment as completed.
`void` | `confirmAppointment(java.lang.String sID, java.lang.String sSubject, java.lang.String sComment)` Hits the server to confirm an appointment.
`void` | `copyDocuments(java.lang.String[] ids, java.lang.String sFolderID)` Copies the documents to a folder.
`void` | `copyFolder(java.lang.String sSourceFolderID, java.lang.String sTargetFolderID, java.lang.String sNewName)` Copies the folder to another folder.
`void` | `counterAssignment(java.lang.String sID, java.util.Date startDate, java.util.Date dueDate, java.lang.String sComment, java.lang.String sSubject)` Counters the assignment.
`void` | `counterInvitation(java.lang.String sID, java.util.Date startDate, java.util.Date endDate, java.lang.String sComment, java.lang.String sSubject)` Counters the invitation.
`java.lang.String` | `createDocument(PropertyValue[] values)` Hits the server to create a document.
`java.lang.String` | `createFolder(java.lang.String sFolderID, java.lang.String sName, PropertyKey[] keys)` Creates a folder.
`void` | `declineAssignment(java.lang.String sID, java.lang.String sComment, boolean bKeepInformed, java.lang.String sSubject)` Declines the assignment.
`void` | `declineAssignmentCounter(java.lang.String sID, java.lang.String sComment, java.lang.String sSubject)` Declines the counter.
`void` | `declineCounter(java.lang.String sID, java.lang.String sComment, java.lang.String sSubject)` Declines the counter.
`void` | `declineInvitation(java.lang.String sID, java.lang.String sComment, boolean bKeepInformed, java.lang.String sSubject)` Declines the invitation.
`void` | `delegateAssignment(java.lang.String sID, java.lang.String sDelegee, java.lang.String sComment, boolean bKeepInformed, java.lang.String sSubject)` Delegates the assignment.
`void` | `delegateInvitation(java.lang.String sID, java.lang.String sDelegee, java.lang.String sComment, boolean bKeepInformed, java.lang.String sSubject)` Delegates the invitation.
`void` | `deleteAllRepeatInstance(java.lang.String sID)` Deletes the all repeating instances.
`void` | `deleteAppointmentRepeatInstance(java.lang.String sID, java.util.Date[] previousStartDates, java.util.Date[] previousEndDates, java.util.Date[] futureStartDates, java.util.Date[] futureEndDates)` Deletes the repeating appointment instance.
`void` | `deleteAttachment(java.lang.String sID, int iIndex)` Hits the server to delete an attachment from a document.
`void` | `deleteDocuments(java.lang.String[] documentIDs)` Hits the server to delete the specified documents.
`void` | `deleteFolders(java.lang.String[] folderIDs)` Deletes the specified folders.
`void` | `deleteProfile(java.lang.String sProfileName, java.lang.String sProfileUser)` Delete the profile.
`void` | `deleteTaskRepeatInstance(java.lang.String sID, java.util.Date[] previousStartDates, java.util.Date[] previousEndDates, java.util.Date[] futureStartDates, java.util.Date[] futureEndDates)` Deletes the repeating task instance.
`void` | `disableOutOfOfficeAgent(java.lang.String sProfileName, java.lang.String sProfileUser)` Hits the server to disable the out of office agent.
`void` | `enableOutOfOfficeAgent(java.lang.String sProfileName, java.lang.String sProfileUser)` Hits the server to enable the out of office agent.
`java.lang.String` | `endTrace()` Ends tracing calls to the server and returns a string showing all calls that were made since tracing was started.
`AbstractDocument` | `forwardDocument(java.lang.String sID, PropertyKey[] keys)` Gets a new document to forward.
`AbstractDocument[]` | `getAddressBookEntries(int iStartIndex, int iEndIndex, PropertyKey[] keys, java.util.Date freeBusyStart, java.util.Date freeBusyEnd, int iInterval, java.lang.String sFile, java.lang.String sServer, java.lang.String sFilterKey)` Gets address book entries.
`AbstractDocument[]` | `getAddressBookEntries(int iStartIndex, int iEndIndex, PropertyKey[] keys, java.lang.String sFile, java.lang.String sServer, java.lang.String sFilterKey)` Gets address book entries.
`int` | `getAddressBookEntriesCount(java.lang.String sFile, java.lang.String sServer, java.lang.String sFilterKey)` Gets address book entry count.
`AbstractDocument[]` | `getAddressBooks()` Gets address books.
`AbstractDocument[]` | `getAddressBooks(java.lang.String sDAServerName)` Gets address books from the Domino Directory server
`AbstractDocument[]` | `getAppointments(int iStartIndex, int iEndIndex, java.util.Date startDate, java.util.Date endDate, PropertyKey[] keys)` Gets appointments.
`javax.activation.DataHandler` | `getAttachment(java.lang.String sID, int iIndex, java.lang.String sName)` Gets an attachment.
`long` | `getAttachmentSizeLimit()` Gets the attachment size limit (in bytes).
`int` | `getContactCount(ContactFilter filter)` Gets the contact count.
`int` | `getContactCountStaticView(java.lang.String sSearchKey)` Gets the contact count using static views.
`AbstractDocument[]` | `getContacts(int iStartIndex, int iEndIndex, PropertyKey[] keys, SortProperty sortProp, java.lang.String sFormula)` Gets contacts.
`AbstractDocument[]` | `getContactsStaticView(int iStartIndex, int iEndIndex, PropertyKey[] keys, SortProperty sortProp, java.lang.String sSearchKey)` Gets contacts using static views.
`java.lang.String[][]` | `getCookies()` Get cookies used with http session.
`AbstractDocument` | `getDocument(java.lang.String sID, PropertyKey[] keys, java.util.Date instanceDate)` Gets the document.
`int` | `getDocumentCountByViewName(java.lang.String sViewName, java.lang.String sKey)` Gets the document count.
`int` | `getDocumentCountByViewUNID(java.lang.String sViewUNID, java.lang.String sKey)` Gets the document count.
`AbstractDocument[]` | `getDocumentsByViewName(int iStartIndex, int iEndIndex, PropertyKey[] keys, SortProperty sortProp, java.lang.String sKey, java.lang.String sViewName)` Gets documents.
`AbstractDocument[]` | `getDocumentsByViewUNID(int iStartIndex, int iEndIndex, PropertyKey[] keys, SortProperty sortProp, java.lang.String sKey, java.lang.String sViewID)` Gets documents.
`javax.activation.DataHandler` | `getEmbeddedImage(java.lang.String sID, java.lang.String sImageID)` Hits the server to get an embedded image of a document.
`java.util.List` | `getFolder(FolderType type, PropertyKey[] keys)` Gets the specified folder by type.
`java.util.List` | `getFolder(java.lang.String sFolderID, PropertyKey[] keys)` Gets the specified folder.
`java.util.List` | `getFolders(PropertyKey[] keys, java.lang.String[] expandedFolderIDs)` Gets folders.
`FreeBusy` | `getFreeBusy(java.lang.String sFullName, java.util.Date startDate, java.util.Date endDate, int iInterval)` Gets free/busy time
`java.lang.String` | `getID()` Gets a unique ID for the session (only unique to the server the session is connected to).
`java.lang.String` | `getMailbox()` Gets the mailbox for the session.
`MailboxQuota` | `getMailboxQuota()` Hits the server to get the mailbox quota.
`AbstractDocument[]` | `getMeetingResponses(java.lang.String sID)` Hits the server to get the meeting responses.
`int` | `getMemoCount(MemoFilter filter)` Gets the memo count.
`AbstractDocument[]` | `getMemos(int iStartIndex, int iEndIndex, PropertyKey[] keys, SortProperty sortProp, MemoFilter filter)` Gets memos.
`AbstractDocument[]` | `getMemosByFolderUNID(java.lang.String sFolderID, int iStartIndex, int iEndIndex, PropertyKey[] keys, SortProperty sortProp)` Gets documents.
`AbstractItem` | `getProfile(java.lang.String sProfileName, java.lang.String sProfileUser, PropertyKey[] keys)` Get a Profile.
`java.lang.String` | `getProxyServerPassword()` Gets the password used to log into the proxy server.
`java.lang.String` | `getProxyServerURL()` Gets the URL for the proxy server.
`java.lang.String` | `getProxyServerUsername()` Gets the username used to log into the proxy server.
`PropertyValue[]` | `getRepeatPattern(java.lang.String sID)` Hits the server to get the repeat pattern for an appointment.
`AbstractDocument[]` | `getResources(int iStartIndex, int iEndIndex, PropertyKey[] keys, java.lang.String sFile, java.lang.String sServer, java.lang.String sFilterKey)` Gets resources.
`int` | `getResourcesCount(java.lang.String sFile, java.lang.String sServer)` Gets the resources count.
`AbstractDocument[]` | `getRooms(int iStartIndex, int iEndIndex, PropertyKey[] keys, java.lang.String sFile, java.lang.String sServer, java.lang.String sFilterKey)` Gets rooms.
`int` | `getRoomsCount(java.lang.String sFile, java.lang.String sServer)` Gets the rooms count.
`java.lang.String` | `getServiceURL()` Gets the Compoze Domino Service URL for the session.
`java.util.List` | `getSubFolders(java.lang.String sID, int iDepth, PropertyKey[] keys)` Gets the subfolders.
`int` | `getTaskCount(TaskFilter filter)` Gets the task count.
`AbstractDocument[]` | `getTasks(int iStartIndex, int iEndIndex, PropertyKey[] keys, SortProperty sortProp, java.lang.String sFormula)` Gets tasks.
`java.util.TimeZone` | `getTimeZone()` Gets the time zone for this protocol.
`UserInfo` | `getUserInfo()` Gets the user info for the session.
`void` | `moveDocuments(java.lang.String[] ids, java.lang.String sSourceFolderID, java.lang.String sTargetFolderID)` Moves the documents to a folder.
`void` | `moveFolder(java.lang.String sSourceFolderID, java.lang.String sTargetFolderID)` Moves the folder to another folder.
`java.lang.String` | `openSession(java.util.Properties connectionProps)` Opens a session.
`AbstractDocument` | `replyDocument(java.lang.String sID, boolean bReplyAll, PropertyKey[] keys)` Gets a new document to reply.
`void` | `requestInfoAssignment(java.lang.String sID, java.lang.String sComment, java.lang.String sSubject)` Requests information about the assignment.
`void` | `requestInfoInvitation(java.lang.String sID, java.lang.String sComment, java.lang.String sSubject)` Requests information about the invitation.
`void` | `sendAssignmentInformation(java.lang.String sID, java.lang.String sComment, java.lang.String sSubject)` Sends the information update.
`void` | `sendInformation(java.lang.String sID, java.lang.String sComment, java.lang.String sSubject)` Sends the information update.
`void` | `sendMeetingRequest(java.lang.String sID, Recipient[] recipients, boolean bSaveInSent, java.lang.String sNewSubject, java.lang.String sSubject)` Hits the server to send the meeting request.
`PropertyValue[]` | `setAllDayEventRepeatPattern(java.lang.String sID, PropertyKey[] keys, java.util.Date endDate, RepeatPattern repeatPattern)` Hits the server to set the repeat pattern for an all day event.
`PropertyValue[]` | `setAppointmentRepeatPattern(java.lang.String sID, PropertyKey[] keys, java.util.Date endDate, RepeatPattern repeatPattern)` Hits the server to set the repeat pattern for an appointment.
`void` | `setCookies(java.lang.String[][] sCookies)` Sets any additional cookies to be with the http session.
`PropertyValue[]` | `setTaskRepeatPattern(java.lang.String sID, PropertyKey[] keys, java.util.Date dueDate, RepeatPattern repeatPattern)` Hits the server to set the repeat pattern for a task.
`void` | `setTimeZone(java.util.TimeZone timeZone)` Sets the time zone for this protocol.
`void` | `startTrace(boolean bVerbose)` Starts tracing calls to the server.
`void` | `updateAppointment(java.lang.String sID, boolean bSend, java.lang.String sSubject, PropertyValue[] vals)` Updates appointment and any meeting attendees.
`void` | `updateAppointmentRepeatAll(java.lang.String sID, long lStartDateAdjustmentSec, long lEndDateAdjustmentSec, PropertyValue[] vals)` Updates an appointment repeat all instances.
`java.lang.String` | `updateAppointmentRepeatInstance(java.lang.String sID, java.util.Date[] previousStartDates, java.util.Date[] previousEndDates, java.util.Date[] futureStartDates, java.util.Date[] futureEndDates, java.util.Date startInstanceDate, java.util.Date endInstanceDate, PropertyValue[] vals)` Updates the repeating appointment instance.
`void` | `updateDocument(java.lang.String sDocumentID, PropertyValue[] values, Recipient[] recipients)` Hits the server to update a document.
`void` | `updateFolder(java.lang.String sFolderID, PropertyValue[] values)` Hits the server to update folders.
`void` | `updateProfile(java.lang.String sProfileName, java.lang.String sProfileUser, PropertyValue[] values)` Update the profile.
`void` | `updateTaskRepeatAll(java.lang.String sID, long lStartDateAdjustmentSec, long lEndDateAdjustmentSec, PropertyValue[] vals)` Updates a task repeat all instances.
`java.lang.String` | `updateTaskRepeatInstance(java.lang.String sID, java.util.Date[] previousStartDates, java.util.Date[] previousEndDates, java.util.Date[] futureStartDates, java.util.Date[] futureEndDates, java.util.Date startInstanceDate, java.util.Date endInstanceDate, PropertyValue[] vals)` Updates the repeating task instance.

Method Detail

### getEmbeddedImage

    public javax.activation.DataHandler getEmbeddedImage(java.lang.String sID,
                                                         java.lang.String sImageID)
                                                  throws DominoException

  Hits the server to get an embedded image of a document.

  Parameters:
    `sID` - the id of the document
    `sImageID` - the id of the image
  Returns:
    the handler for the image data
  Throws:
    `DominoException`

### addAttachment

    public void addAttachment(java.lang.String sID,
                              java.lang.String sName,
                              javax.activation.DataHandler handler)
                       throws DominoException

  Hits the server to add an attachment to a document.

  Parameters:
    `sID` - the id of the document
    `sName` - the name of the attachment
    `handler` - a handler that can supply the attachment data
  Throws:
    `DominoException`

### getMailboxQuota

    public MailboxQuota getMailboxQuota()
                                 throws DominoException

  Hits the server to get the mailbox quota.

  Returns:
    the mailbox quota
  Throws:
    `DominoException`
  See Also:
    `MailboxQuota`

### getTimeZone

    public java.util.TimeZone getTimeZone()

  Gets the time zone for this protocol.

  Returns:
    the time zone

### setTimeZone

    public void setTimeZone(java.util.TimeZone timeZone)

  Sets the time zone for this protocol.

  Parameters:
    `timeZone` - the time zone

### deleteAttachment

    public void deleteAttachment(java.lang.String sID,
                                 int iIndex)
                          throws DominoException

  Hits the server to delete an attachment from a document.

  Parameters:
    `sID` - the id of the document
    `iIndex` - the index of the attachment
  Throws:
    `DominoException`

### cancelAppointment

    public void cancelAppointment(java.lang.String sID,
                                  java.lang.String sSubject,
                                  java.lang.String sComment)
                           throws DominoException

  Hits the server to cancel an appointment.

  Parameters:
    `sID` - the id of the document
    `sSubject` - the subject
    `sComment` - the cancellation comment
  Throws:
    `DominoException`

### cancelAppointment

    public void cancelAppointment(java.lang.String sID,
                                  java.lang.String sSubject,
                                  java.util.Date startInstanceDate,
                                  java.util.Date endInstanceDate,
                                  java.lang.String sComment)
                           throws DominoException

  Hits the server to cancel an appointment.

  Parameters:
    `sID` - the id of the document
    `sSubject` - the subject
    `sComment` - the cancellation comment
  Throws:
    `DominoException`

### getMeetingResponses

    public AbstractDocument[] getMeetingResponses(java.lang.String sID)
                                           throws DominoException

  Hits the server to get the meeting responses.

  Parameters:
    `sID` - the id of the document
  Returns:
    an array of responses or an empty array for none
  Throws:
    `DominoException`

### confirmAppointment

    public void confirmAppointment(java.lang.String sID,
                                   java.lang.String sSubject,
                                   java.lang.String sComment)
                            throws DominoException

  Hits the server to confirm an appointment.

  Parameters:
    `sID` - the id of the document
    `sSubject` - the subject
    `sComment` - the confirmation comment
  Throws:
    `DominoException`

### openSession

    public java.lang.String openSession(java.util.Properties connectionProps)
                                 throws DominoException

  Opens a session.

  Parameters:
    `connectionProps` - the connection properties
  Throws:
    `DominoException` - if a problem occurred while opening the session

### setCookies

    public void setCookies(java.lang.String[][] sCookies)

  Sets any additional cookies to be with the http session.

  Parameters:
    `sCookies` - two dimensional array of name/value pairs to send as cookies

### getCookies

    public java.lang.String[][] getCookies()

  Get cookies used with http session.

  Returns:
    cookies transmitted with http

### getFolder

    public java.util.List getFolder(java.lang.String sFolderID,
                                    PropertyKey[] keys)
                             throws DominoException

  Gets the specified folder.

  Parameters:
    `sFolderID` - the ID of the folder to get
    `keys` - the keys to load for the folder
  Returns:
    a list of folder `PropertyValue` arrays
  Throws:
    `DominoException` - if a problem occurred while opening the session

### getSubFolders

    public java.util.List getSubFolders(java.lang.String sID,
                                        int iDepth,
                                        PropertyKey[] keys)
                                 throws DominoException

  Gets the subfolders.

  Parameters:
    `sID` - the folder ID
    `iDepth` - the depth to retrieve
    `keys` - the properties to bring back from the new folder or `null` to not retrieve the newly created folder
  Returns:
    a list of folder `PropertyValue` arrays
  Throws:
    `DominoException`

### getFolder

    public java.util.List getFolder(FolderType type,
                                    PropertyKey[] keys)
                             throws DominoException

  Gets the specified folder by type.

  Parameters:
    `type` - the folder type
    `keys` - the keys to load for the folder
  Returns:
    a list of folder `PropertyValue` arrays
  Throws:
    `DominoException` - if a problem occurred while opening the session

### deleteFolders

    public void deleteFolders(java.lang.String[] folderIDs)
                       throws DominoException

  Deletes the specified folders.

  Throws:
    `DominoException` - if a problem occurred while opening the session

### createFolder

    public java.lang.String createFolder(java.lang.String sFolderID,
                                         java.lang.String sName,
                                         PropertyKey[] keys)
                                  throws DominoException

  Creates a folder.

  Parameters:
    `sFolderID` - the parent folder
    `sName` - the new folder name
    `keys` - the keys to load
  Returns:
    the id of the newly created folder
  Throws:
    `DominoException` - if a problem occurred while connecting to or interacting with the Compoze Domino Service

### copyFolder

    public void copyFolder(java.lang.String sSourceFolderID,
                           java.lang.String sTargetFolderID,
                           java.lang.String sNewName)
                    throws DominoException

  Copies the folder to another folder.

  Throws:
    `DominoException` - if a problem occurred while opening the session

### moveFolder

    public void moveFolder(java.lang.String sSourceFolderID,
                           java.lang.String sTargetFolderID)
                    throws DominoException

  Moves the folder to another folder.

  Throws:
    `DominoException` - if a problem occurred while opening the session

### getAttachment

    public javax.activation.DataHandler getAttachment(java.lang.String sID,
                                                      int iIndex,
                                                      java.lang.String sName)
                                               throws DominoException

  Gets an attachment.

  Throws:
    `DominoException`

### startTrace

    public void startTrace(boolean bVerbose)

  Starts tracing calls to the server.

  Parameters:
    `bVerbose` - if `true`, trace data sent and received, otherwise just trace elapsed time and number of requests

### endTrace

    public java.lang.String endTrace()

  Ends tracing calls to the server and returns a string showing all calls that were made since tracing was started.

  Returns:
    a string representing the results of the trace

### getFolders

    public java.util.List getFolders(PropertyKey[] keys,
                                     java.lang.String[] expandedFolderIDs)
                              throws DominoException

  Gets folders.

  Returns:
    a list of folder `PropertyValue` arrays
  Throws:
    `DominoException` - if a problem occurred while connecting to or interacting with the Compoze Domino Service

### getDocumentsByViewName

    public AbstractDocument[] getDocumentsByViewName(int iStartIndex,
                                                     int iEndIndex,
                                                     PropertyKey[] keys,
                                                     SortProperty sortProp,
                                                     java.lang.String sKey,
                                                     java.lang.String sViewName)
                                              throws DominoException

  Gets documents.

  Parameters:
    `iStartIndex` - the start index endpoint (inclusive) or -1 for all
    `iEndIndex` - the end index highpoint (exclusive) or -1 for all
    `keys` - the properties to bring back from the document
    `sortProp` - the property to sort by
    `sKey` - the view key or `null` to ignore
    `sViewName` - the view name to retrieve the documents from
  Returns:
    an array of documents
  Throws:
    `DominoException` - if a problem occurred while connecting to or interacting with the Compoze Domino Service

### getContacts

    public AbstractDocument[] getContacts(int iStartIndex,
                                          int iEndIndex,
                                          PropertyKey[] keys,
                                          SortProperty sortProp,
                                          java.lang.String sFormula)
                                   throws DominoException

  Gets contacts.

  Parameters:
    `iStartIndex` - the start index endpoint (inclusive) or -1 for all
    `iEndIndex` - the end index highpoint (exclusive) or -1 for all
    `keys` - the properties to bring back from the document
    `sortProp` - the property to sort by
    `sFormula` - the formula or `null` to ignore
  Returns:
    an array of contacts
  Throws:
    `DominoException` - if a problem occurred while connecting to or interacting with the Compoze Domino Service

### getContactsStaticView

    public AbstractDocument[] getContactsStaticView(int iStartIndex,
                                                    int iEndIndex,
                                                    PropertyKey[] keys,
                                                    SortProperty sortProp,
                                                    java.lang.String sSearchKey)
                                             throws DominoException

  Gets contacts using static views.

  Parameters:
    `iStartIndex` - the start index endpoint (inclusive) or -1 for all
    `iEndIndex` - the end index highpoint (exclusive) or -1 for all
    `keys` - the properties to bring back from the document
    `sortProp` - the property to sort by
    `sSearchKey` - the last name search key or `null` to ignore
  Returns:
    an array of contacts
  Throws:
    `DominoException` - if a problem occurred while connecting to or interacting with the Compoze Domino Service

### getTasks

    public AbstractDocument[] getTasks(int iStartIndex,
                                       int iEndIndex,
                                       PropertyKey[] keys,
                                       SortProperty sortProp,
                                       java.lang.String sFormula)
                                throws DominoException

  Gets tasks.

  Parameters:
    `iStartIndex` - the start index endpoint (inclusive) or -1 for all
    `iEndIndex` - the end index highpoint (exclusive) or -1 for all
    `keys` - the properties to bring back from the document
    `sortProp` - the property to sort by
    `sFormula` - the formula or `null` to ignore
  Returns:
    an array of tasks
  Throws:
    `DominoException` - if a problem occurred while connecting to or interacting with the Compoze Domino Service

### getAppointments

    public AbstractDocument[] getAppointments(int iStartIndex,
                                              int iEndIndex,
                                              java.util.Date startDate,
                                              java.util.Date endDate,
                                              PropertyKey[] keys)
                                       throws DominoException

  Gets appointments.

  Parameters:
    `iStartIndex` - the start index endpoint (inclusive) or -1 for all
    `iEndIndex` - the end index highpoint (exclusive) or -1 for all
    `startDate` - the start date (inclusive) or `null` for no start date
    `endDate` - the end date (exclusive) or `null` for no end date
    `keys` - the properties to bring back from the appointment
  Returns:
    an array of appointments
  Throws:
    `DominoException` - if a problem occurred while connecting to or interacting with the Compoze Domino Service

### getAddressBookEntries

    public AbstractDocument[] getAddressBookEntries(int iStartIndex,
                                                    int iEndIndex,
                                                    PropertyKey[] keys,
                                                    java.lang.String sFile,
                                                    java.lang.String sServer,
                                                    java.lang.String sFilterKey)
                                             throws DominoException

  Gets address book entries.

  Parameters:
    `iStartIndex` - the start index endpoint (inclusive) or -1 for all
    `iEndIndex` - the end index highpoint (exclusive) or -1 for all
    `keys` - the properties to bring back from the document
    `sFile` - the address book file
    `sServer` - the address book server
    `sFilterKey` - the search filter key or `null` for no search filtering
  Returns:
    an array of documents
  Throws:
    `DominoException` - if a problem occurred while connecting to or interacting with the Compoze Domino Service

### getAddressBookEntries

    public AbstractDocument[] getAddressBookEntries(int iStartIndex,
                                                    int iEndIndex,
                                                    PropertyKey[] keys,
                                                    java.util.Date freeBusyStart,
                                                    java.util.Date freeBusyEnd,
                                                    int iInterval,
                                                    java.lang.String sFile,
                                                    java.lang.String sServer,
                                                    java.lang.String sFilterKey)
                                             throws DominoException

  Gets address book entries.

  Parameters:
    `iStartIndex` - the start index endpoint (inclusive) or -1 for all
    `iEndIndex` - the end index highpoint (exclusive) or -1 for all
    `keys` - the properties to bring back from the document
    `freeBusyStart` - the start date of the free busy query or `null` for no free/busy
    `freeBusyEnd` - the end date of the free busy query or `null` for no free/busy
    `iInterval` - the free busy interval (in minutes)
    `sFile` - the address book file
    `sServer` - the address book server
    `sFilterKey` - the search filter key or `null` for no search filtering
  Returns:
    an array of documents
  Throws:
    `DominoException` - if a problem occurred while connecting to or interacting with the Compoze Domino Service

### getRooms

    public AbstractDocument[] getRooms(int iStartIndex,
                                       int iEndIndex,
                                       PropertyKey[] keys,
                                       java.lang.String sFile,
                                       java.lang.String sServer,
                                       java.lang.String sFilterKey)
                                throws DominoException

  Gets rooms.

  Parameters:
    `iStartIndex` - the start index endpoint (inclusive) or -1 for all
    `iEndIndex` - the end index highpoint (exclusive) or -1 for all
    `keys` - the properties to bring back from the document
    `sFile` - the address book file
    `sServer` - the address book server
  Returns:
    an array of documents
  Throws:
    `DominoException` - if a problem occurred while connecting to or interacting with the Compoze Domino Service

### getResources

    public AbstractDocument[] getResources(int iStartIndex,
                                           int iEndIndex,
                                           PropertyKey[] keys,
                                           java.lang.String sFile,
                                           java.lang.String sServer,
                                           java.lang.String sFilterKey)
                                    throws DominoException

  Gets resources.

  Parameters:
    `iStartIndex` - the start index endpoint (inclusive) or -1 for all
    `iEndIndex` - the end index highpoint (exclusive) or -1 for all
    `keys` - the properties to bring back from the document
    `sFile` - the address book file
    `sServer` - the address book server
  Returns:
    an array of documents
  Throws:
    `DominoException` - if a problem occurred while connecting to or interacting with the Compoze Domino Service

### getAddressBookEntriesCount

    public int getAddressBookEntriesCount(java.lang.String sFile,
                                          java.lang.String sServer,
                                          java.lang.String sFilterKey)
                                   throws DominoException

  Gets address book entry count.

  Parameters:
    `sFile` - the address book file
    `sServer` - the address book server
    `sFilterKey` - the search filter key or `null` for no search filtering
  Returns:
    the number of address book entries or -1 if not available
  Throws:
    `DominoException` - if a problem occurred while connecting to or interacting with the Compoze Domino Service

### getRoomsCount

    public int getRoomsCount(java.lang.String sFile,
                             java.lang.String sServer)
                      throws DominoException

  Gets the rooms count.

  Parameters:
    `sFile` - the address book file
    `sServer` - the address book server
  Returns:
    the number of rooms or -1 if not available
  Throws:
    `DominoException` - if a problem occurred while connecting to or interacting with the Compoze Domino Service

### getResourcesCount

    public int getResourcesCount(java.lang.String sFile,
                                 java.lang.String sServer)
                          throws DominoException

  Gets the resources count.

  Parameters:
    `sFile` - the address book file
    `sServer` - the address book server
  Returns:
    the number of resources or -1 if not available
  Throws:
    `DominoException` - if a problem occurred while connecting to or interacting with the Compoze Domino Service

### getAddressBooks

    public AbstractDocument[] getAddressBooks()
                                       throws DominoException

  Gets address books.

  Returns:
    an array of documents
  Throws:
    `DominoException` - if a problem occurred while connecting to or interacting with the Compoze Domino Service

### getAddressBooks

    public AbstractDocument[] getAddressBooks(java.lang.String sDAServerName)
                                       throws DominoException

  Gets address books from the Domino Directory server

  Returns:
    an array of documents
  Throws:
    `DominoException` - if a problem occurred while connecting to or interacting with the Compoze Domino Service

### getFreeBusy

    public FreeBusy getFreeBusy(java.lang.String sFullName,
                                java.util.Date startDate,
                                java.util.Date endDate,
                                int iInterval)
                         throws DominoException

  Gets free/busy time

  Parameters:
    `sFullName` - the FullName of the address entry to query free/busy
    `startDate` - the start date of the free busy query or null
    `endDate` - the end date of the free busy query or null
    `iInterval` - the interval (in minutes)
  Returns:
    the free busy information
  Throws:
    `DominoException` - if a problem occurred while connecting to or interacting with the Compoze Domino Service

### getDocumentsByViewUNID

    public AbstractDocument[] getDocumentsByViewUNID(int iStartIndex,
                                                     int iEndIndex,
                                                     PropertyKey[] keys,
                                                     SortProperty sortProp,
                                                     java.lang.String sKey,
                                                     java.lang.String sViewID)
                                              throws DominoException

  Gets documents.

  Parameters:
    `iStartIndex` - the start index endpoint (inclusive) or -1 for all
    `iEndIndex` - the end index highpoint (exclusive) or -1 for all
    `keys` - the properties to bring back from the document
    `sortProp` - the property to sort by
    `sKey` - the view key or `null` to ignore
    `sViewID` - the view id to retrieve the documents from
  Returns:
    an array of documents
  Throws:
    `DominoException` - if a problem occurred while connecting to or interacting with the Compoze Domino Service

### getMemosByFolderUNID

    public AbstractDocument[] getMemosByFolderUNID(java.lang.String sFolderID,
                                                   int iStartIndex,
                                                   int iEndIndex,
                                                   PropertyKey[] keys,
                                                   SortProperty sortProp)
                                            throws DominoException

  Gets documents.

  Parameters:
    `sFolderID` - the folder id to retrieve the documents from
    `iStartIndex` - the start index endpoint (inclusive) or -1 for all
    `iEndIndex` - the end index highpoint (exclusive) or -1 for all
    `keys` - the properties to bring back from the document
    `sortProp` - the property to sort by
  Returns:
    an array of documents
  Throws:
    `DominoException` - if a problem occurred while connecting to or interacting with the Compoze Domino Service

### getMemos

    public AbstractDocument[] getMemos(int iStartIndex,
                                       int iEndIndex,
                                       PropertyKey[] keys,
                                       SortProperty sortProp,
                                       MemoFilter filter)
                                throws DominoException

  Gets memos.

  Parameters:
    `iStartIndex` - the start index endpoint (inclusive) or -1 for all
    `iEndIndex` - the end index highpoint (exclusive) or -1 for all
    `keys` - the properties to bring back from the document
    `sortProp` - the property to sort by
    `filter` - the filter (may not be `null`)
  Returns:
    an array of documents
  Throws:
    `DominoException` - if a problem occurred while connecting to or interacting with the Compoze Domino Service

### getDocument

    public AbstractDocument getDocument(java.lang.String sID,
                                        PropertyKey[] keys,
                                        java.util.Date instanceDate)
                                 throws DominoException

  Gets the document.

  Parameters:
    `sID` - the document id
    `keys` - the properties to bring back from the document
    `instanceDate` - the instance date or `null` for none
  Returns:
    the document or `null` if not found
  Throws:
    `DominoException` - if a problem occurred while connecting to or interacting with the Compoze Domino Service

### forwardDocument

    public AbstractDocument forwardDocument(java.lang.String sID,
                                            PropertyKey[] keys)
                                     throws DominoException

  Gets a new document to forward.

  Parameters:
    `sID` - the document id to forward from
    `keys` - the properties to bring back from the document
  Returns:
    the document or `null` if not found
  Throws:
    `DominoException` - if a problem occurred while connecting to or interacting with the Compoze Domino Service

### replyDocument

    public AbstractDocument replyDocument(java.lang.String sID,
                                          boolean bReplyAll,
                                          PropertyKey[] keys)
                                   throws DominoException

  Gets a new document to reply.

  Parameters:
    `sID` - the document id to reply from
    `bReplyAll` - `true` to reply to all or `false` otherwise.
    `keys` - the properties to bring back from the document
  Returns:
    the document or `null` if not found
  Throws:
    `DominoException` - if a problem occurred while connecting to or interacting with the Compoze Domino Service

### getDocumentCountByViewUNID

    public int getDocumentCountByViewUNID(java.lang.String sViewUNID,
                                          java.lang.String sKey)
                                   throws DominoException

  Gets the document count.

  Parameters:
    `sViewUNID` - the view UNID to retrieve the document count for
    `sKey` - the view key or `null` to ignore
  Returns:
    the document count or -1 if not available
  Throws:
    `DominoException` - if a problem occurred while connecting to or interacting with the Compoze Domino Service

### getContactCount

    public int getContactCount(ContactFilter filter)
                        throws DominoException

  Gets the contact count.

  Parameters:
    `filter` - the filter or `null` for no filtering
  Returns:
    the contact count or -1 if not available
  Throws:
    `DominoException` - if a problem occurred while connecting to or interacting with the Compoze Domino Service

### getContactCountStaticView

    public int getContactCountStaticView(java.lang.String sSearchKey)
                                  throws DominoException

  Gets the contact count using static views.

  Parameters:
    `sSearchKey` - the last name search key or `null` for no filtering
  Returns:
    the contact count or -1 if not available
  Throws:
    `DominoException` - if a problem occurred while connecting to or interacting with the Compoze Domino Service

### getMemoCount

    public int getMemoCount(MemoFilter filter)
                     throws DominoException

  Gets the memo count.

  Parameters:
    `filter` - the filter or `null` for no filtering
  Returns:
    the memom count or -1 if not available
  Throws:
    `DominoException` - if a problem occurred while connecting to or interacting with the Compoze Domino Service

### getTaskCount

    public int getTaskCount(TaskFilter filter)
                     throws DominoException

  Gets the task count.

  Parameters:
    `filter` - the filter or `null` for no filtering
  Returns:
    the task count or -1 if not available
  Throws:
    `DominoException` - if a problem occurred while connecting to or interacting with the Compoze Domino Service

### acceptInvitation

    public void acceptInvitation(java.lang.String sID,
                                 java.lang.String sComment,
                                 boolean bTentative,
                                 java.lang.String sSubject)
                          throws DominoException

  Accepts the invitation and removes it from the Inbox.

  Parameters:
    `sID` - the invitation id
    `sComment` - the comment
    `bTentative` - `true` to tentatively accept; `false` otherwise
    `sSubject` - the subject
  Throws:
    `DominoException` - if a problem occurred while connecting to or interacting with the Compoze Domino Service

### acceptInvitation

    public void acceptInvitation(java.lang.String sID,
                                 java.lang.String sComment,
                                 boolean bTentative,
                                 java.lang.String sSubject,
                                 boolean bRemoveFromInbox)
                          throws DominoException

  Accepts the invitation.

  Parameters:
    `sID` - the invitation id
    `sComment` - the comment
    `bTentative` - `true` to tentatively accept; `false` otherwise
    `sSubject` - the subject
    `bRemoveFromInbox` - `true` to remove appointment from Inbox; `false` to keep
  Throws:
    `DominoException` - if a problem occurred while connecting to or interacting with the Compoze Domino Service

### sendInformation

    public void sendInformation(java.lang.String sID,
                                java.lang.String sComment,
                                java.lang.String sSubject)
                         throws DominoException

  Sends the information update.

  Parameters:
    `sID` - the invitation id
    `sComment` - the comment
    `sSubject` - the subject
  Throws:
    `DominoException` - if a problem occurred while connecting to or interacting with the Compoze Domino Service

### declineInvitation

    public void declineInvitation(java.lang.String sID,
                                  java.lang.String sComment,
                                  boolean bKeepInformed,
                                  java.lang.String sSubject)
                           throws DominoException

  Declines the invitation.

  Parameters:
    `sID` - the invitation id
    `sComment` - the comment
    `bKeepInformed` - `true` to keep informed of event updates
    `sSubject` - the subject
  Throws:
    `DominoException` - if a problem occurred while connecting to or interacting with the Compoze Domino Service

### declineCounter

    public void declineCounter(java.lang.String sID,
                               java.lang.String sComment,
                               java.lang.String sSubject)
                        throws DominoException

  Declines the counter.

  Parameters:
    `sID` - the counter id
    `sComment` - the comment
    `sSubject` - the subject
  Throws:
    `DominoException` - if a problem occurred while connecting to or interacting with the Compoze Domino Service

### acceptCounter

    public void acceptCounter(java.lang.String sID,
                              java.util.Date startDate,
                              java.util.Date endDate,
                              java.lang.String sComment,
                              java.lang.String sSubject)
                       throws DominoException

  Accepts the counter.

  Parameters:
    `sID` - the counter id
    `startDate` - the start date
    `endDate` - the end date
    `sComment` - the comment
    `sSubject` - the subject
  Throws:
    `DominoException` - if a problem occurred while connecting to or interacting with the Compoze Domino Service

### delegateInvitation

    public void delegateInvitation(java.lang.String sID,
                                   java.lang.String sDelegee,
                                   java.lang.String sComment,
                                   boolean bKeepInformed,
                                   java.lang.String sSubject)
                            throws DominoException

  Delegates the invitation.

  Parameters:
    `sID` - the invitation id
    `sDelegee` - the delegee name (must not be `null` or empty)
    `sComment` - the comment or `null` for no comment
    `bKeepInformed` - `true` to keep informed of event updates
    `sSubject` - the subject
  Throws:
    `DominoException` - if a problem occurred while connecting to or interacting with the Compoze Domino Service

### counterInvitation

    public void counterInvitation(java.lang.String sID,
                                  java.util.Date startDate,
                                  java.util.Date endDate,
                                  java.lang.String sComment,
                                  java.lang.String sSubject)
                           throws DominoException

  Counters the invitation.

  Parameters:
    `sID` - the invitation id
    `startDate` - the proposed start date and time
    `endDate` - the proposed end date and time
    `sComment` - the comment or `null` for no comment
    `sSubject` - the subject
  Throws:
    `DominoException` - if a problem occurred while connecting to or interacting with the Compoze Domino Service

### requestInfoInvitation

    public void requestInfoInvitation(java.lang.String sID,
                                      java.lang.String sComment,
                                      java.lang.String sSubject)
                               throws DominoException

  Requests information about the invitation.

  Parameters:
    `sID` - the invitation id
    `sComment` - the comment or `null` for no comment
    `sSubject` - the subject
  Throws:
    `DominoException` - if a problem occurred while connecting to or interacting with the Compoze Domino Service

### acceptAssignment

    public void acceptAssignment(java.lang.String sID,
                                 java.lang.String sComment,
                                 java.lang.String sSubject)
                          throws DominoException

  Accepts the assignment.

  Parameters:
    `sID` - the assignment id
    `sComment` - the comment
    `sSubject` - the subject
  Throws:
    `DominoException` - if a problem occurred while connecting to or interacting with the Compoze Domino Service

### sendAssignmentInformation

    public void sendAssignmentInformation(java.lang.String sID,
                                          java.lang.String sComment,
                                          java.lang.String sSubject)
                                   throws DominoException

  Sends the information update.

  Parameters:
    `sID` - the assignment id
    `sComment` - the comment
    `sSubject` - the subject
  Throws:
    `DominoException` - if a problem occurred while connecting to or interacting with the Compoze Domino Service

### updateAppointmentRepeatInstance

    public java.lang.String updateAppointmentRepeatInstance(java.lang.String sID,
                                                            java.util.Date[] previousStartDates,
                                                            java.util.Date[] previousEndDates,
                                                            java.util.Date[] futureStartDates,
                                                            java.util.Date[] futureEndDates,
                                                            java.util.Date startInstanceDate,
                                                            java.util.Date endInstanceDate,
                                                            PropertyValue[] vals)
                                                     throws DominoException

  Updates the repeating appointment instance.

  Parameters:
    `sID` - the assignment id
    `previousStartDates` - the previous start dates
    `previousEndDates` - the previous end dates
    `futureStartDates` - the future start dates
    `futureEndDates` - the future end dates
    `startInstanceDate` - the start instance date
    `endInstanceDate` - the end instance date
    `vals` - the properties to update
  Returns:
    the new ID of the instance
  Throws:
    `DominoException` - if a problem occurred while connecting to or interacting with the Compoze Domino Service

### updateAppointmentRepeatAll

    public void updateAppointmentRepeatAll(java.lang.String sID,
                                           long lStartDateAdjustmentSec,
                                           long lEndDateAdjustmentSec,
                                           PropertyValue[] vals)
                                    throws DominoException

  Updates an appointment repeat all instances.

  Parameters:
    `sID` - the appointment to update
    `lStartDateAdjustmentSec` - the start date adjustment (in seconds)
    `lEndDateAdjustmentSec` - the end date adjustment (in seconds)
    `vals` - the properties to update
  Throws:
    `DominoException`

### changeAppointmentNotify

    public void changeAppointmentNotify(java.lang.String sSID,
                                        java.lang.String sID,
                                        java.lang.String sSubject,
                                        boolean bScheduleChange)
                                 throws DominoException

  Sends meeting notification for appointment changes.

  Parameters:
    `sSID` - the session id
    `sID` - the appointment to update
    `sSubject` - the notification subject
    `bScheduleChange` - `true` to indicate a change in the schedule
  Throws:
    `DominoException`

### updateAppointment

    public void updateAppointment(java.lang.String sID,
                                  boolean bSend,
                                  java.lang.String sSubject,
                                  PropertyValue[] vals)
                           throws DominoException

  Updates appointment and any meeting attendees.

  Parameters:
    `sID` - the appointment to update
    `bSend` - true to send change if necessary
    `sSubject` - the appointment subject
    `vals` - the properties to update
  Throws:
    `DominoException`

### deleteAppointmentRepeatInstance

    public void deleteAppointmentRepeatInstance(java.lang.String sID,
                                                java.util.Date[] previousStartDates,
                                                java.util.Date[] previousEndDates,
                                                java.util.Date[] futureStartDates,
                                                java.util.Date[] futureEndDates)
                                         throws DominoException

  Deletes the repeating appointment instance.

  Parameters:
    `sID` - the assignment id
    `previousStartDates` - the previous start dates
    `previousEndDates` - the previous end dates
    `futureStartDates` - the future start dates
    `futureEndDates` - the future end dates
  Throws:
    `DominoException` - if a problem occurred while connecting to or interacting with the Compoze Domino Service

### updateTaskRepeatAll

    public void updateTaskRepeatAll(java.lang.String sID,
                                    long lStartDateAdjustmentSec,
                                    long lEndDateAdjustmentSec,
                                    PropertyValue[] vals)
                             throws DominoException

  Updates a task repeat all instances.

  Parameters:
    `sID` - the task to update
    `lStartDateAdjustmentSec` - the start date adjustment (in seconds)
    `lEndDateAdjustmentSec` - the end date adjustment (in seconds)
    `vals` - the properties to update
  Throws:
    `DominoException`

### updateTaskRepeatInstance

    public java.lang.String updateTaskRepeatInstance(java.lang.String sID,
                                                     java.util.Date[] previousStartDates,
                                                     java.util.Date[] previousEndDates,
                                                     java.util.Date[] futureStartDates,
                                                     java.util.Date[] futureEndDates,
                                                     java.util.Date startInstanceDate,
                                                     java.util.Date endInstanceDate,
                                                     PropertyValue[] vals)
                                              throws DominoException

  Updates the repeating task instance.

  Parameters:
    `sID` - the task id
    `previousStartDates` - the previous start dates
    `previousEndDates` - the previous end dates
    `futureStartDates` - the future start dates
    `futureEndDates` - the future end dates
    `startInstanceDate` - the start instance date
    `endInstanceDate` - the end instance date
    `vals` - the properties to update
  Returns:
    the new ID of the instance
  Throws:
    `DominoException` - if a problem occurred while connecting to or interacting with the Compoze Domino Service

### deleteTaskRepeatInstance

    public void deleteTaskRepeatInstance(java.lang.String sID,
                                         java.util.Date[] previousStartDates,
                                         java.util.Date[] previousEndDates,
                                         java.util.Date[] futureStartDates,
                                         java.util.Date[] futureEndDates)
                                  throws DominoException

  Deletes the repeating task instance.

  Parameters:
    `sID` - the assignment id
    `previousStartDates` - the previous start dates
    `previousEndDates` - the previous end dates
    `futureStartDates` - the future start dates
    `futureEndDates` - the future end dates
  Throws:
    `DominoException` - if a problem occurred while connecting to or interacting with the Compoze Domino Service

### deleteAllRepeatInstance

    public void deleteAllRepeatInstance(java.lang.String sID)
                                 throws DominoException

  Deletes the all repeating instances.

  Parameters:
    `sID` - the assignment id
  Throws:
    `DominoException` - if a problem occurred while connecting to or interacting with the Compoze Domino Service

### declineAssignment

    public void declineAssignment(java.lang.String sID,
                                  java.lang.String sComment,
                                  boolean bKeepInformed,
                                  java.lang.String sSubject)
                           throws DominoException

  Declines the assignment.

  Parameters:
    `sID` - the assignment id
    `sComment` - the comment
    `bKeepInformed` - `true` to keep informed of event updates
    `sSubject` - the subject
  Throws:
    `DominoException` - if a problem occurred while connecting to or interacting with the Compoze Domino Service

### declineAssignmentCounter

    public void declineAssignmentCounter(java.lang.String sID,
                                         java.lang.String sComment,
                                         java.lang.String sSubject)
                                  throws DominoException

  Declines the counter.

  Parameters:
    `sID` - the counter id
    `sComment` - the comment
    `sSubject` - the subject
  Throws:
    `DominoException` - if a problem occurred while connecting to or interacting with the Compoze Domino Service

### acceptAssignmentCounter

    public void acceptAssignmentCounter(java.lang.String sID,
                                        java.util.Date startDate,
                                        java.util.Date endDate,
                                        java.lang.String sComment,
                                        java.lang.String sSubject)
                                 throws DominoException

  Accepts the counter.

  Parameters:
    `sID` - the counter id
    `startDate` - the start date
    `endDate` - the end date
    `sComment` - the comment
    `sSubject` - the subject
  Throws:
    `DominoException` - if a problem occurred while connecting to or interacting with the Compoze Domino Service

### delegateAssignment

    public void delegateAssignment(java.lang.String sID,
                                   java.lang.String sDelegee,
                                   java.lang.String sComment,
                                   boolean bKeepInformed,
                                   java.lang.String sSubject)
                            throws DominoException

  Delegates the assignment.

  Parameters:
    `sID` - the assignment id
    `sDelegee` - the delegee name (must not be `null` or empty)
    `sComment` - the comment or `null` for no comment
    `bKeepInformed` - `true` to keep informed of event updates
    `sSubject` - the subject
  Throws:
    `DominoException` - if a problem occurred while connecting to or interacting with the Compoze Domino Service

### counterAssignment

    public void counterAssignment(java.lang.String sID,
                                  java.util.Date startDate,
                                  java.util.Date dueDate,
                                  java.lang.String sComment,
                                  java.lang.String sSubject)
                           throws DominoException

  Counters the assignment.

  Parameters:
    `sID` - the assignment id
    `startDate` - the proposed start date
    `dueDate` - the proposed due date
    `sComment` - the comment or `null` for no comment
    `sSubject` - the subject
  Throws:
    `DominoException` - if a problem occurred while connecting to or interacting with the Compoze Domino Service

### requestInfoAssignment

    public void requestInfoAssignment(java.lang.String sID,
                                      java.lang.String sComment,
                                      java.lang.String sSubject)
                               throws DominoException

  Requests information about the assignment.

  Parameters:
    `sID` - the assignment id
    `sComment` - the comment or `null` for no comment
    `sSubject` - the subject
  Throws:
    `DominoException` - if a problem occurred while connecting to or interacting with the Compoze Domino Service

### completedAssignment

    public void completedAssignment(java.lang.String sID,
                                    java.util.Date completedDate,
                                    java.lang.String sComment,
                                    java.lang.String sSubject,
                                    java.lang.String sAdjustSubject)
                             throws DominoException

  Marks the assignment as completed.

  Parameters:
    `sID` - the assignment id
    `completedDate` - the completed date (may not be `null`)
    `sComment` - the comment or `null` for no comment
    `sSubject` - the subject
    `sAdjustSubject` - the adjust subject
  Throws:
    `DominoException` - if a problem occurred while connecting to or interacting with the Compoze Domino Service

### getDocumentCountByViewName

    public int getDocumentCountByViewName(java.lang.String sViewName,
                                          java.lang.String sKey)
                                   throws DominoException

  Gets the document count.

  Parameters:
    `sViewName` - the view name to retrieve the document count for
    `sKey` - the view key or `null` to ignore
  Returns:
    the document count or -1 if not available
  Throws:
    `DominoException` - if a problem occurred while connecting to or interacting with the Compoze Domino Service

### updateFolder

    public void updateFolder(java.lang.String sFolderID,
                             PropertyValue[] values)
                      throws DominoException

  Hits the server to update folders.

  Parameters:
    `sFolderID` - the ID of the folder to update
    `values` - the values to update
  Throws:
    `DominoException`

### updateDocument

    public void updateDocument(java.lang.String sDocumentID,
                               PropertyValue[] values,
                               Recipient[] recipients)
                        throws DominoException

  Hits the server to update a document.

  Parameters:
    `sDocumentID` - the ID of the document to update
    `values` - the values to update
    `recipients` - an array of recipients or `null` to not send
  Throws:
    `DominoException`

### sendMeetingRequest

    public void sendMeetingRequest(java.lang.String sID,
                                   Recipient[] recipients,
                                   boolean bSaveInSent,
                                   java.lang.String sNewSubject,
                                   java.lang.String sSubject)
                            throws DominoException

  Hits the server to send the meeting request.

  Parameters:
    `sID` - the appointment id
    `recipients` - the recipients to send the appointment to (may not be `null`)
    `bSaveInSent` - `true` to save a copy of this in the sent folder; `false` otherwise
    `sNewSubject` - the new meeting subject
    `sSubject` - the meeting subject
  Throws:
    `DominoException`

### deleteDocuments

    public void deleteDocuments(java.lang.String[] documentIDs)
                         throws DominoException

  Hits the server to delete the specified documents.

  Parameters:
    `documentIDs` - the IDs of the documents to delete
  Throws:
    `DominoException`

### createDocument

    public java.lang.String createDocument(PropertyValue[] values)
                                    throws DominoException

  Hits the server to create a document.

  Parameters:
    `values` - the values for the new document
  Returns:
    the id of the newly create document
  Throws:
    `DominoException`

### getProfile

    public AbstractItem getProfile(java.lang.String sProfileName,
                                   java.lang.String sProfileUser,
                                   PropertyKey[] keys)
                            throws DominoException

  Get a Profile.

  Parameters:
    `sProfileName` - the profile name
    `sProfileUser` - the user name or `null`
    `keys` - the properties to bring back from the document
  Returns:
    the profile or `null` if the arguments were incorrect
  Throws:
    `DominoException` - if a problem occurred while connecting to or interacting with the Compoze Domino Service

### updateProfile

    public void updateProfile(java.lang.String sProfileName,
                              java.lang.String sProfileUser,
                              PropertyValue[] values)
                       throws DominoException

  Update the profile.

  Parameters:
    `sProfileName` - the profile name
    `sProfileUser` - the user name or `null`
    `values` - the values to update the profile with
  Returns:
    void
  Throws:
    `DominoException` - if a problem occurred while connecting to or interacting with the Compoze Domino Service

### deleteProfile

    public void deleteProfile(java.lang.String sProfileName,
                              java.lang.String sProfileUser)
                       throws DominoException

  Delete the profile.

  Parameters:
    `sProfileName` - the profile name
    `sProfileUser` - the user name or `null`
  Returns:
    void
  Throws:
    `DominoException` - if a problem occurred while connecting to or interacting with the Compoze Domino Service

### enableOutOfOfficeAgent

    public void enableOutOfOfficeAgent(java.lang.String sProfileName,
                                       java.lang.String sProfileUser)
                                throws DominoException

  Hits the server to enable the out of office agent. The `Profile` needs to be updated with all the appropriate information prior to calling this function.

  Parameters:
    `sProfileName` - the profile name
    `sProfileUser` - the user requesting the profile or `null`
  Returns:
    void
  Throws:
    `DominoException` - if a problem occurred while connecting to or interacting with the Compoze Domino Service
  See Also:
    `getProfile(java.lang.String, java.lang.String, com.compoze.domino.PropertyKey[])`, `updateProfile(java.lang.String, java.lang.String, com.compoze.domino.PropertyValue[])`

### disableOutOfOfficeAgent

    public void disableOutOfOfficeAgent(java.lang.String sProfileName,
                                        java.lang.String sProfileUser)
                                 throws DominoException

  Hits the server to disable the out of office agent.

  Parameters:
    `sProfileName` - the profile name
    `sProfileUser` - the user requesting the profile or `null`
  Returns:
    void
  Throws:
    `DominoException` - if a problem occurred while connecting to or interacting with the Compoze Domino Service

### setTaskRepeatPattern

    public PropertyValue[] setTaskRepeatPattern(java.lang.String sID,
                                                PropertyKey[] keys,
                                                java.util.Date dueDate,
                                                RepeatPattern repeatPattern)
                                         throws DominoException

  Hits the server to set the repeat pattern for a task.

  Parameters:
    `sID` - the task id
    `keys` - the keys for the document
    `dueDate` - the due date or `null` if not set
    `repeatPattern` - the repeating pattern
  Returns:
    the document property values
  Throws:
    `DominoException`

### setAppointmentRepeatPattern

    public PropertyValue[] setAppointmentRepeatPattern(java.lang.String sID,
                                                       PropertyKey[] keys,
                                                       java.util.Date endDate,
                                                       RepeatPattern repeatPattern)
                                                throws DominoException

  Hits the server to set the repeat pattern for an appointment.

  Parameters:
    `sID` - the appointment id
    `keys` - the keys for the document
    `endDate` - the end date or `null` if not set
    `repeatPattern` - the repeating pattern
  Returns:
    the document property values
  Throws:
    `DominoException`

### getRepeatPattern

    public PropertyValue[] getRepeatPattern(java.lang.String sID)
                                     throws DominoException

  Hits the server to get the repeat pattern for an appointment.

  Parameters:
    `sID` - the appointment id
  Returns:
    the repeating pattern
  Throws:
    `DominoException`

### setAllDayEventRepeatPattern

    public PropertyValue[] setAllDayEventRepeatPattern(java.lang.String sID,
                                                       PropertyKey[] keys,
                                                       java.util.Date endDate,
                                                       RepeatPattern repeatPattern)
                                                throws DominoException

  Hits the server to set the repeat pattern for an all day event.

  Parameters:
    `sID` - the appointment id
    `keys` - the keys for the document
    `endDate` - the end date or `null` if not set
    `repeatPattern` - the repeating pattern
  Returns:
    the document property values
  Throws:
    `DominoException`

### copyDocuments

    public void copyDocuments(java.lang.String[] ids,
                              java.lang.String sFolderID)
                       throws DominoException

  Copies the documents to a folder.

  Parameters:
    `ids` - the ids of the documents to copy
    `sFolderID` - the ID of the target folder
  Throws:
    `DominoException`

### moveDocuments

    public void moveDocuments(java.lang.String[] ids,
                              java.lang.String sSourceFolderID,
                              java.lang.String sTargetFolderID)
                       throws DominoException

  Moves the documents to a folder.

  Parameters:
    `ids` - the ids of the documents to move
    `sSourceFolderID` - the ID of the source folder
    `sTargetFolderID` - the ID of the target folder
  Throws:
    `DominoException`

### closeSession

    public void closeSession()
                      throws DominoException

  Closes a session.

  Throws:
    `DominoException` - if a problem occurred while closing the session

### checkSession

    public void checkSession()
                      throws DominoException

  Checks a session.

  Throws:
    `DominoException` - if a problem occurred while closing the session

### getID

    public java.lang.String getID()

  Gets a unique ID for the session (only unique to the server the session is connected to).

  Returns:
    the ID

### getMailbox

    public java.lang.String getMailbox()

  Gets the mailbox for the session.

  Returns:
    the mailbox

### getUserInfo

    public UserInfo getUserInfo()

  Gets the user info for the session.

  Returns:
    the user info

### getServiceURL

    public java.lang.String getServiceURL()

  Gets the Compoze Domino Service URL for the session.

  Returns:
    the service URL

### getAttachmentSizeLimit

    public long getAttachmentSizeLimit()

  Gets the attachment size limit (in bytes).

  Returns:
    the attachment size limit (in bytes) or 0 for no limit

### getProxyServerURL

    public java.lang.String getProxyServerURL()

  Gets the URL for the proxy server.

  Returns:
    the proxy server URL (may be `null`)

### getProxyServerUsername

    public java.lang.String getProxyServerUsername()

  Gets the username used to log into the proxy server.

  Returns:
    the proxy server username (may be `null`)

### getProxyServerPassword

    public java.lang.String getProxyServerPassword()

  Gets the password used to log into the proxy server.

  Returns:
    the proxy server password (may be `null`)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ©1999-2003 Compoze Software, Inc. All rights reserved.